<?php
require_once "../../functions.php";
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget('post', ['id'], $pag, false, '');
gen_plantilla(true, $pag, false, false, '', false, false);

$id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
$datos = consulta(
    "SELECT * FROM grupos WHERE id=?;",
    [$id],
    true
)[0];
$empleados_grupo = consulta('SELECT nombre FROM empleados WHERE id_grupo=?', [$id], true);
?>
<dialog id='dialog' class="cristal" open>
    <section class="flex column gap1 supercentrado">
        <?php if (empty($empleados_grupo)): ?>
            <h2>¿Estás seguro que deseas eliminar el grupo <b><?= $datos['nombre'] ?></b>?</h2>
            <span>Al eliminar un grupo no se eliminarán sus registros</span>
            <section class='flex row gap5 pa1'>
                <button id='cancelar' class="btn-t" title='Cancelar la eliminación'>Cancelar</button>
                <button id='eliminar' class="btn-d" value="<?= $id ?>" onclick="eliminar_grupo(<?= $id ?>)">Eliminar</button>
            </section>
        <?php else: ?>
            <h4 class="rojo">No puedes eliminar este grupo, hay empleados que pertenecen al grupo</h4>
            <?php
            for ($i = 0; $i < count($empleados_grupo); $i++)
                echo '<span>' . $empleados_grupo[$i]['nombre'] . '</span>';
            ?>
            <h4>Cambia estos empleados de grupo para poder eliminar el grupo</h4>
            <section class='flex row gap5 pa1'>
                <button id='cancelar' class="btn-t" title='Cancelar la eliminación'>Cancelar</button>
            </section>
        <?php
        endif; ?>
    </section>
</dialog>